Transition to Ubuntu Components 1.3 broke checkbox-converged on Trusty

Bug #1598921 reported by Sylvain Pineau on 2016-07-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Checkbox Converged
Critical
Sylvain Pineau

Bug Description

Checkbox-converged does not work on Trusty since the recent upgrade of Ubuntu Components from 1.2 to 1.3:

env LD_LIBRARY_PATH=/opt/qt-5.4/usr/lib/x86_64-linux-gnu qmlscene -qt=5.4 --settings=/usr/share/checkbox-converged/settings.json $@ /usr/share/checkbox-converged/checkbox-touch.qml
file:///usr/share/checkbox-converged/checkbox-touch.qml:431 Type CommandOutputPage unavailable
file:///usr/share/checkbox-converged/components/CommandOutputPage.qml:46 PageHeader is not a type

Rather than creating a specific branch for Trusty support I'd instead revert the changes introduced by https://code.launchpad.net/~kissiel/checkbox/upgrade-converged-components/+merge/298573 in a debian patch in the ppa packaging branch:

https://code.launchpad.net/~checkbox-dev/checkbox/ppa-packaging-checkbox-converged-trusty

Changed in checkbox-converged:
milestone: none → 1.4
assignee: nobody → Sylvain Pineau (sylvain-pineau)
status: New → In Progress
Changed in checkbox-converged:
status: In Progress → Fix Committed
Changed in checkbox-converged:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers